<?php
/**
 * The template for displaying comments
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @subpackage hgwmag
 */


if ( post_password_required() ) {
	/*
	 * If the current post is protected by a password and
	 * the visitor has not yet entered the password,
	 * return early without loading the comments.
	 */
	return;
}

	// Get Number of Comments
	$hgwmag_comment_count = get_comments_number();
	$hgwmag_get_avatar_class = get_option( 'show_avatars' ) ? 'show-avatars' : '';
	echo '<div id="comments" class="comments-area'. esc_attr( $hgwmag_get_avatar_class ) .'">';

	if ( have_comments() ) :

		/*
		*
		*	 Show Comments title
		*
		*/
		echo '<h3 class="comments-title">';
			if ( '1' === $hgwmag_comment_count ) :
				esc_html_e( '1 comment', 'hgwmag' );
			else :
				echo esc_html( $hgwmag_comment_count ) . esc_html__( ' Comments', 'hgwmag' );
			endif;
		echo '</h3>'; // <h3 class="comments-title">

		/*
		*
		*	 Show Comments list
		*
		*/
		echo '<ol class="commentlist">';
			wp_list_comments();
		echo '</ol>'; // <ol class="commentlist">

		/*
		*
		*	 Show Comments pagination
		*
		*/
		the_comments_pagination();


		/*
		*
		*	 Show if Comments not Open
		*
		*/
		if ( ! comments_open() ) {
			echo '<p class="no-comments">'. esc_html__( 'Comments are closed.', 'hgwmag' ) .'</p>';
		}


	endif; // if ( have_comments() ) :

	/*
	*
	*	 Show Comment Form
	*
	*/
	comment_form();


	echo '</div>'; // <div id="comments" class="comments-area'
