<?php
/**
 * The front page template file
 * If the user has selected a static page for their homepage, this is what will
 * appear. Learn more: https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @subpackage hgwmag
 */

get_header();
?>
<div id="site-content" class="container front-page">

  <div class="innerw">

      <?php
      // get current page we are on. If not set we can assume we are on page 1.
      if ( get_query_var('paged') ) {
          $fr_paged = get_query_var('paged');
      } elseif ( get_query_var('page') ) {
          // 'page' is used instead of 'paged' on Static Front Page
          $fr_paged = get_query_var('page');
      } else {
          $fr_paged = 1;
      }
      /*
      #=========================================================================
      #   Multi Column Section
      #   New Section
      #   This Section Show Topest Columns of Front-Page [Slider, 2 & 4 Columns]
      #=========================================================================
      */
      if ( get_theme_mod('hgwmag-show-homepage-top-section', 1 ) == 1 && 1 == $fr_paged ) {
      ?>
        <div class="top-container-front flex-sb <?php echo esc_html( get_theme_mod('hgwmag-homepage-tpsec-type' ) ); ?>">

            <?php
            // Slider Posts
            do_action( 'hgwmag_front_page_top_section_act' )
            ?>

        </div>
      <?php
      }

      /*
      #=========================================================================
      #   Popular Tags
      #   New Section
      #   This Section Show Popular Tags
      #=========================================================================
      */
      if ( get_theme_mod('hgwmag-show-popular-tags-slideshow', 1 ) == 1 ) {

        hgwmag_front_page_004(
          get_theme_mod('hgwmag-popular-tags-title', esc_html__('Popular Tags', 'hgwmag') ),
          $popular_tags_number = get_theme_mod('hgwmag-popular-tags-number', 4 )
        );

      }



      /*
      #=========================================================================
      #   Multi Column Section
      #   New Section
      #   This Section Show Mainest Columns of Front-Page [ 3 Columns 3 Posts]
      #=========================================================================
      */
      if (get_theme_mod('hgwmag-show-posts-column-3', 1 ) == 1 && 1 == $fr_paged):

        echo '<div class="top-container flex-sb fr-c3">';

         /*
         *    Box 1 =====================================
         */
         hgwmag_front_page_005(
           get_theme_mod('hgwmag-show-posts-column-3-col1-title', esc_html__('Column 1', 'hgwmag') ),
           get_theme_mod('hgwmag-show-posts-column-3-col1-cat', '' )
         );

         /*
         *    Box 2 =====================================
         */
         hgwmag_front_page_005(
           get_theme_mod('hgwmag-show-posts-column-3-col2-title', esc_html__('Column 2', 'hgwmag') ),
           get_theme_mod('hgwmag-show-posts-column-3-col2-cat', '' )
         );

         /*
         *    Box 3 =====================================
         */
         hgwmag_front_page_005(
           get_theme_mod('hgwmag-show-posts-column-3-col3-title', esc_html__('Column 3', 'hgwmag') ),
           get_theme_mod('hgwmag-show-posts-column-3-col3-cat', '' )
         );

        echo '</div>';

      endif;


      /*
      #=========================================================================
      #   Main Section
      #   New Section
      #   This Section Show Mainest Section of Front-Page [ 5 Posts Col & Tiny Slider & Main Loop]
      #=========================================================================
      */
      ?>
      <div id="main-section" class="main-section">

        <main>

          <?php
          if( 1 == $fr_paged) :

              do_action( 'hgwmag_front_main_section_act' );

          endif;

          // Main Loop - Recent Posts
          if (get_theme_mod('hgwmag-show-fr-recent-posts', 1 ) == 1 ):
                  $args = array(
                    'post_type' => 'post',
                    'posts_per_page' => 8,
                    'paged'=>$fr_paged
                  );
                  $front_page_query = new WP_Query( $args );
                  if ( $front_page_query->have_posts() ) : ?>

              		  <div class="post-box-container type-3 posts-archive">

              		      <h3 class="title line">
                          <?php
                          $recent_posts_title = get_theme_mod( 'hgwmag-show-fr-recent-posts-title', 'Recent Posts' );
                          echo esc_html( $recent_posts_title ); ?>
                        </h3>

              		      <div class="post-box">
              		        <?php

              		        while ( $front_page_query->have_posts() ) : $front_page_query->the_post();

              		            get_template_part( 'template-parts/simple', 'excerpt' );

              		        endwhile;

                              $pagination_args = array(
                                  'base'            => get_pagenum_link(1) . '%_%',
                                  'format'          => 'page/%#%/',
                                  'total'           => $front_page_query->max_num_pages,
                                  'current'         => $fr_paged,
                                  'show_all'        => false,
                                  'prev_next'       => true,
                                  'type'            => 'plain',
                                  'add_args'        => true,
                                  'add_fragment'    => '',
                                  'after_page_number' => '',
                                  'before_page_number' =>'',
                                  );
                               $paginate_links = paginate_links($pagination_args);

                                if ( $paginate_links ) {
                                  echo '<nav class="navigation pagination">'.$paginate_links.'</nav>';
                                }

              		        wp_reset_postdata();
              		      ?>
              		      </div>

              		  </div>

              		<?php
                else:

                  hgwmag_default_content();

              	endif;

          endif;


          ?>

        </main>


        <?php get_sidebar( ) ?>


      </div><!-- main-section -->

  </div><!-- innerw -->

</div><!-- site-content -->

<?php
get_footer();
?>
