<?php
/**
* Footer Customizer Settings for This Theme.
* @subpackage hgwmag
*/

//  =============================================================================
//  - Add Footer Section
//  =============================================================================
$wp_customize->add_section(
'hgwmag_footer_section',
  array(
  'title'    => __('Footer', 'hgwmag'),
  'capability'     => 'edit_theme_options',
  'priority' => 10,
  'panel'  => 'hgwmag-panel',
  )
);

//  =============================================================================
//  - Custom Title - Section 1
//    [Social Pages]
//  =============================================================================
$wp_customize->add_setting(
  'footer-custom-title-1',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'footer-custom-title-1',
        array(
            'label' => esc_html__("Social Media", 'hgwmag'),
            'description' => __('Social pages in footer.', 'hgwmag'),
            'section' => 'hgwmag_footer_section',
        )
    )
);
// Footer title[Column 1] ================
$wp_customize->add_setting(
'hgwmag_footer_title_c1',
  array(
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag_footer_title_c1',
    array(
        'label' => esc_html__('Footer Title (Column 1)', 'hgwmag'),
        'section'    => 'hgwmag_footer_section',
        'type' => 'text',
        'input_attrs' => array( 'placeholder' => esc_html__('Default: Site Title', 'hgwmag'), ),
    )
);
// Footer Description ================
$wp_customize->add_setting(
'hgwmag_footer_description',
  array(
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag_footer_description',
    array(
        'label' => esc_html__('Footer Description (Column 1)', 'hgwmag'),
        'section'    => 'hgwmag_footer_section',
        'type' => 'text',
        'input_attrs' => array( 'placeholder' => esc_html__('Default: Site Description', 'hgwmag'), ),
    )
);
// Social Pages ================
$wp_customize->add_setting(
'hgwmag_footer_social_media',
  array(
     'default' => 1,
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_checkbox',
     'transport' => 'postMessage',
  )
);

$wp_customize->add_control(
'hgwmag_footer_social_media',
  array(
     'label' => esc_html__('Social Media', 'hgwmag'),
     'section' => 'hgwmag_footer_section',
     'type' => 'checkbox',
     'priority' => 10,
  )
);

$wp_customize->selective_refresh->add_partial( 'hgwmag_footer_social_media',
    array( 'selector' => '#site-footer .social ul li:last-of-type', 'render_callback' => 'hgwmag_footer')
  );
