<?php
/**
* Front End Page Customizer Settings for This Theme.
* @subpackage hgwmag
*/


//  =============================================================================
//  - Add Front-Page Section
//  =============================================================================
$wp_customize->add_section(
'hgwmag-homepage-top-section',
  array(
  'title'    => __('Front Page', 'hgwmag'),
  'capability'     => 'edit_theme_options',
  'priority' => 10,
  'panel'  => 'hgwmag-panel',
  )
);

//  =============================================================================
//  - Custom Title - Section 1
//    [Slider, Posts 2 & 4 Column, Layout Setting]
//  =============================================================================
$wp_customize->add_setting(
  'front-page-title-section-1',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'front-page-title-section-1',
        array(
            'label' => esc_html__("Section 1", 'hgwmag'),
            'description' => __('Top Section of Front-Page Customizer: Slider & Posts 2 and 4 columns', 'hgwmag'),
            'section' => 'hgwmag-homepage-top-section',
        )
    )
);
// Show Main Section ============
$wp_customize->add_setting(
'hgwmag-show-homepage-top-section',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-homepage-top-section',
  array(
      'label' => esc_html__('Show Top Box', 'hgwmag'),
      'section' => 'hgwmag-homepage-top-section',
      'type' => 'checkbox',
  )
);

// Front Page Top Section Type ================
$wp_customize->add_setting(
'hgwmag-homepage-tpsec-type',
  array(
     'default' => 'default',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag-homepage-tpsec-type',
  array(
     'label' => esc_html__('Top Section Layout', 'hgwmag'),
     'section' => 'hgwmag-homepage-top-section',
     'type' => 'select',
     'choices' => array(
        'default' => __( 'Default Layout', 'hgwmag' ),
        'layout1' => __( 'Layout 1', 'hgwmag' ),
        'layout2' => __( 'Layout 2', 'hgwmag' ),
        'layout3' => __( 'Layout 3', 'hgwmag' ),
        'layout4' => __( 'Layout 4', 'hgwmag' ),
      ),
     'active_callback'  =>  'hgwmag_frontpage_top_section_status',
  )
);

// Slider Category ============
$wp_customize->add_setting(
'hgwmag-homepage-tpsec-slider-category',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-homepage-tpsec-slider-category',
    array(
        'label' => esc_html__('Slider Posts Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_frontpage_top_section_status'
    )
  )
);
// Date
$wp_customize->add_setting( 'hgwmag_fp_tpsec_slider_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_slider_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_tpsec_slider_comments', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_slider_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_tpsec_slider_author', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_slider_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );




// 2 Posts Category ============
$wp_customize->add_setting(
'hgwmag-homepage-tpsec-2p-category',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-homepage-tpsec-2p-category',
    array(
        'label' => esc_html__('2 Posts Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_frontpage_top_section_status'
    )
  )
);
// Date
$wp_customize->add_setting( 'hgwmag_fp_tpsec_2p_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_2p_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_tpsec_2p_comments', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_2p_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_tpsec_2p_author', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_2p_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );





// 4 Posts Category ============
$wp_customize->add_setting(
'hgwmag-homepage-tpsec-4p-category',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-homepage-tpsec-4p-category',
    array(
        'label' => esc_html__('4 Posts Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_frontpage_top_section_status'
    )
  )
);
// Date
$wp_customize->add_setting( 'hgwmag_fp_tpsec_4p_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_4p_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_tpsec_4p_comments', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_4p_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_tpsec_4p_author', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tpsec_4p_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );



//  =============================================================================
//  - Custom Title - Section 2
//    [Popular Tags]
//  =============================================================================
$wp_customize->add_setting(
  'front-page-title-section-2',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'front-page-title-section-2',
        array(
            'label' => esc_html__("Section 2", 'hgwmag'),
            'description' => __('Section 2 of Front-Page Customizer: Popular Tags', 'hgwmag'),
            'section' => 'hgwmag-homepage-top-section',
        )
    )
);
// Show Popular Tags ============
$wp_customize->add_setting(
'hgwmag-show-popular-tags-slideshow',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-popular-tags-slideshow',
  array(
      'label' => esc_html__('Show Popular Tags Section', 'hgwmag'),
      'section' => 'hgwmag-homepage-top-section',
      'type' => 'checkbox',
  )
);
// Popular Tags Title ============
$wp_customize->add_setting(
'hgwmag-popular-tags-title',
  array(
      'default' => esc_html__('Popular Tags', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-popular-tags-title',
    array(
        'label' => esc_html__('Title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'input_attrs' => array( 'placeholder' => esc_html__('Popular Tags', 'hgwmag'), ),
        'active_callback'  =>  'hgwmag_popular_tags_status',
    )
);
// Popular Tags Number ============
$wp_customize->add_setting(
'hgwmag-popular-tags-number',
  array(
      'default' => 4,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
    'hgwmag-popular-tags-number',
    array(
        'label' => esc_html__('Number of tags', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'number',
        'active_callback'  =>  'hgwmag_popular_tags_status',
    )
);


//  =============================================================================
//  - Custom Title - Section 3
//    [Posts 3 Column]
//  =============================================================================
$wp_customize->add_setting(
  'front-page-title-section-3',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'front-page-title-section-3',
        array(
            'label' => esc_html__("Section 3", 'hgwmag'),
            'description' => __('Section 3 of Front-Page Customizer: Posts 3 Column', 'hgwmag'),
            'section' => 'hgwmag-homepage-top-section',
        )
    )
);


$wp_customize->add_setting(
'hgwmag-show-posts-column-3',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-posts-column-3',
  array(
      'label' => esc_html__('Show Posts 3 Column', 'hgwmag'),
      'section' => 'hgwmag-homepage-top-section',
      'type' => 'checkbox',
  )
);

// Date
$wp_customize->add_setting( 'hgwmag_fp_3column_posts_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_3column_posts_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_3column_posts_comments', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_3column_posts_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_3column_posts_author', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_3column_posts_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );


//
//   Column 1
//
$wp_customize->add_setting(
'hgwmag-show-posts-column-3-col1-title',
  array(
      'default' => esc_html__('Column 1', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-show-posts-column-3-col1-title',
    array(
        'label' => esc_html__('Column 1 Title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'active_callback'  =>  'hgwmag_posts_column_3_status',
    )
);

$wp_customize->add_setting(
'hgwmag-show-posts-column-3-col1-cat',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-show-posts-column-3-col1-cat',
    array(
        'label' => esc_html__('Column 1 Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_posts_column_3_status'
    )
  )
);

//
//   Column 2
//
$wp_customize->add_setting(
'hgwmag-show-posts-column-3-col2-title',
  array(
      'default' => esc_html__('Column 2', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-show-posts-column-3-col2-title',
    array(
        'label' => esc_html__('Column 2 Title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'active_callback'  =>  'hgwmag_posts_column_3_status',
    )
);

$wp_customize->add_setting(
'hgwmag-show-posts-column-3-col2-cat',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-show-posts-column-3-col2-cat',
    array(
        'label' => esc_html__('Column 2 Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_posts_column_3_status'
    )
  )
);

//
//   Column 1
//
$wp_customize->add_setting(
'hgwmag-show-posts-column-3-col3-title',
  array(
      'default' => esc_html__('Column 3', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-show-posts-column-3-col3-title',
    array(
        'label' => esc_html__('Column 3 Title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'active_callback'  =>  'hgwmag_posts_column_3_status',
    )
);

$wp_customize->add_setting(
'hgwmag-show-posts-column-3-col3-cat',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-show-posts-column-3-col3-cat',
    array(
        'label' => esc_html__('Column 3 Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_posts_column_3_status'
    )
  )
);

//  =============================================================================
//  - Custom Title - Section 4
//    [Posts 5 Column]
//  =============================================================================
$wp_customize->add_setting(
  'front-page-title-section-4',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'front-page-title-section-4',
        array(
            'label' => esc_html__("Section 4", 'hgwmag'),
            'description' => __('Section 4 of Front-Page Customizer: Posts 5 Column', 'hgwmag'),
            'section' => 'hgwmag-homepage-top-section',
        )
    )
);


$wp_customize->add_setting(
'hgwmag-show-fr-posts-column-4',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-fr-posts-column-4',
  array(
      'label' => esc_html__('Show Posts 5 Column', 'hgwmag'),
      'section' => 'hgwmag-homepage-top-section',
      'type' => 'checkbox',
  )
);

$wp_customize->add_setting(
'hgwmag-fr-posts-column-4-title',
  array(
      'default' => esc_html__('Title', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-fr-posts-column-4-title',
    array(
        'label' => esc_html__('Posts 5 Column Title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'active_callback'  =>  'hgwmag_posts_column_3_status',
    )
);

$wp_customize->add_setting(
'hgwmag-fr-posts-column-4-cat',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-fr-posts-column-4-cat',
    array(
        'label' => esc_html__('Posts 5 Column Category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_posts_column_3_status'
    )
  )
);

// Date
$wp_customize->add_setting( 'hgwmag_fp_2column_5posts_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_2column_5posts_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_2column_5posts_comments', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_2column_5posts_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_2column_5posts_author', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_2column_5posts_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );


//  =============================================================================
//  - Custom Title - Section 5
//    [Tiny Slider]
//  =============================================================================
$wp_customize->add_setting(
  'front-page-title-section-5',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'front-page-title-section-5',
        array(
            'label' => esc_html__("Section 5", 'hgwmag'),
            'description' => __('Section 5 of Front-Page Customizer: Tiny Slider', 'hgwmag'),
            'section' => 'hgwmag-homepage-top-section',
        )
    )
);


$wp_customize->add_setting(
'hgwmag-show-fr-posts-column-5',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-fr-posts-column-5',
  array(
      'label' => esc_html__('Show tiny slider', 'hgwmag'),
      'section' => 'hgwmag-homepage-top-section',
      'type' => 'checkbox',
  )
);

//
//   Column 1
//
$wp_customize->add_setting(
'hgwmag-fr-posts-column-5-title',
  array(
      'default' => esc_html__('Title', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-fr-posts-column-5-title',
    array(
        'label' => esc_html__('Tiny slider title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'active_callback'  =>  'hgwmag_posts_column_3_status',
    )
);

$wp_customize->add_setting(
'hgwmag-fr-posts-column-5-cat',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'absint',
  )
);

$wp_customize->add_control(
  new HgwMag_Category_Dropdown_Control(
    $wp_customize,
    'hgwmag-fr-posts-column-5-cat',
    array(
        'label' => esc_html__('Tiny slider category', 'hgwmag'),
        'section' => 'hgwmag-homepage-top-section',
        'type' => 'hgw_dropdown_tax',
        'taxonomy' => 'category',
        'active_callback' => 'hgwmag_posts_column_3_status'
    )
  )
);

// Date
$wp_customize->add_setting( 'hgwmag_fp_tinyslideshow_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tinyslideshow_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_tinyslideshow_comments', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tinyslideshow_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_tinyslideshow_author', array( 'default' => 0, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_tinyslideshow_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );


//  =============================================================================
//  - Custom Title - Section 6
//    [Recent Posts]
//  =============================================================================
$wp_customize->add_setting(
  'front-page-title-section-6',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'front-page-title-section-6',
        array(
            'label' => esc_html__("Section 6", 'hgwmag'),
            'description' => __('Section 6 of Front-Page Customizer: Recent Posts', 'hgwmag'),
            'section' => 'hgwmag-homepage-top-section',
        )
    )
);


$wp_customize->add_setting(
'hgwmag-show-fr-recent-posts',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-fr-recent-posts',
  array(
      'label' => esc_html__('Show Recent Posts', 'hgwmag'),
      'section' => 'hgwmag-homepage-top-section',
      'type' => 'checkbox',
  )
);

$wp_customize->add_setting(
'hgwmag-show-fr-recent-posts-title',
  array(
      'default' => esc_html__('Recent Posts', 'hgwmag'),
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wp_filter_nohtml_kses',
  )
);

$wp_customize->add_control(
    'hgwmag-show-fr-recent-posts-title',
    array(
        'label' => esc_html__('Recent Posts Title', 'hgwmag'),
        'section'    => 'hgwmag-homepage-top-section',
        'type' => 'text',
        'active_callback'  =>  'hgwmag_posts_front_page_recent_posts_status',
    )
);

// Date
$wp_customize->add_setting( 'hgwmag_fp_main_loop_date', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_main_loop_date', array( 'label' => esc_html__('Show Date', 'hgwmag'), 'description' => __('also affect the main loop in the archive pages ', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Comments
$wp_customize->add_setting( 'hgwmag_fp_main_loop_comments', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_main_loop_comments', array( 'label' => esc_html__('Show Comments', 'hgwmag'), 'description' => __('also affect the main loop in the archive pages ', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
// Author
$wp_customize->add_setting( 'hgwmag_fp_main_loop_author', array( 'default' => 1, 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hgwmag_sanitize_checkbox', ) );
$wp_customize->add_control( 'hgwmag_fp_main_loop_author', array( 'label' => esc_html__('Show Author', 'hgwmag'), 'description' => __('also affect the main loop in the archive pages ', 'hgwmag'), 'section' => 'hgwmag-homepage-top-section', 'type' => 'checkbox', ) );
