<?php
/**
* Header Customizer Settings for This Theme.
* @subpackage hgwmag
*/


//  =============================================================================
//  - Add Header Section
//  =============================================================================
$wp_customize->add_section(
'hgwmag-customizer-header-section',
  array(
  'title'    => __('Header', 'hgwmag'),
  'capability'     => 'edit_theme_options',
  'priority' => 10,
  'panel'  => 'hgwmag-panel',
  )
);

// Header Layouts ============
$wp_customize->add_setting(
  'hgwmag-customizer-title-header-layouts',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-header-layouts',
        array(
            'label' => esc_html__("Header Layouts", 'hgwmag'),
            'description' => __('Layout 1: Default,   Layout 2: Logo only Please use a wide image', 'hgwmag'),
            'section' => 'hgwmag-customizer-header-section',
        )
    )
);
$wp_customize->add_setting(
'hgwmag-customizer-header-layouts',
  array(
     'default' => 'layout1',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag-customizer-header-layouts',
  array(
     'label' => esc_html__('Header Layouts', 'hgwmag'),
     'section' => 'hgwmag-customizer-header-section',
     'type' => 'select',
     'choices' => array(
        'layout1' => __( 'Layout 1', 'hgwmag' ),
        'layout2'  => __( 'Layout 2', 'hgwmag' ),
      )
  )
);

// Custom Title 2 ============
$wp_customize->add_setting(
  'hgwmag-customizer-title-header-top-section',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-header-top-section',
        array(
            'label' => esc_html__("Top Section", 'hgwmag'),
            'description' => __('Top Section of Header Customizer: Date, Tiny Menu, Social Media', 'hgwmag'),
            'section' => 'hgwmag-customizer-header-section',
        )
    )
);
// Show top menu {Toggle} ============
$wp_customize->add_setting(
'hgwmag-show-top-header',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-top-header',
  array(
      'label' => esc_html__('Show top section', 'hgwmag'),
      'section' => 'hgwmag-customizer-header-section',
      'type' => 'checkbox',
      'priority' => 10,
  )
);

// Show Date {Toggle} ================
$wp_customize->add_setting(
'hgwmag-show-header-date',
  array(
     'default' => 1,
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-header-date',
  array(
     'label' => esc_html__('Show Date', 'hgwmag'),
     'section' => 'hgwmag-customizer-header-section',
     'type' => 'checkbox',
     'priority' => 10,
     'active_callback'  =>  'hgwmag_top_header_status',
  )
);
// Show Social {Toggle} ================
$wp_customize->add_setting(
'hgwmag-show-header-social',
  array(
     'default' => 1,
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-header-social',
  array(
     'label' => esc_html__('Show Social Media', 'hgwmag'),
     'section' => 'hgwmag-customizer-header-section',
     'type' => 'checkbox',
     'priority' => 10,
     'active_callback'  =>  'hgwmag_top_header_status',
  )
);

// Custom Title 2 ============
$wp_customize->add_setting(
  'hgwmag-customizer-header-main-section-title',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-header-main-section-title',
        array(
            'label' => esc_html__("Main Section", 'hgwmag'),
            'description' => __('Main Section of Header Customizer: Logo, Ads', 'hgwmag'),
            'section' => 'hgwmag-customizer-header-section',
        )
    )
);

$wp_customize->add_setting(
'hgwmag-show-main-header',
  array(
     'default' => 1,
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-main-header',
  array(
      'label' => esc_html__('Show Main Header', 'hgwmag'),
      'section' => 'hgwmag-customizer-header-section',
      'type' => 'checkbox',
      'priority' => 10,
  )
);
//  =============================================================================
//  - logo & Sitename
//  =============================================================================

// Show Brand ============
$wp_customize->add_setting(
'hgwmag-show-brand',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-brand',
  array(
      'label' => esc_html__('Show Brand', 'hgwmag'),
      'section' => 'hgwmag-customizer-header-section',
      'type' => 'checkbox',
      'priority' => 10,
      'active_callback'  =>  'hgwmag_main_header_status',
  )
);

$wp_customize->add_setting(
'hgwmag-show-brand-layouts',
  array(
     'default' => 'title',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag-show-brand-layouts',
  array(
     'label' => esc_html__('Brand Layout', 'hgwmag'),
     'section' => 'hgwmag-customizer-header-section',
     'type' => 'select',
     'choices' => array(
        'title' => __( 'Title & Description', 'hgwmag' ),
        'just-title' => __( 'Title', 'hgwmag' ),
        'logo'  => __( 'Logo', 'hgwmag' ),
      ),
     'active_callback'  =>  'hgwmag_main_header_brand_status',
  )
);

//  =============================================================================
//  - Ads Settings
//  =============================================================================

// Show Ads ================
$wp_customize->add_setting(
'hgwmag-show-header-ads',
  array(
     'default' => 0,
     'capability' => 'edit_theme_options',
     'transport' => 'postMessage',
     'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-header-ads',
  array(
     'label' => esc_html__('Show Ads', 'hgwmag'),
     'section' => 'hgwmag-customizer-header-section',
     'type' => 'checkbox',
     'priority' => 10,
     'active_callback'  =>  'hgwmag_main_header_status',
  )
);

$wp_customize->selective_refresh->add_partial( 'hgwmag-show-header-ads',
    array( 'selector' => '#site-header .ads', 'render_callback' => 'hgwmag_header_002')
  );

// Multiple Ads ================
$wp_customize->add_setting(
'hgwmag-multiple-header-ads',
  array(
     'default' => 0,
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-multiple-header-ads',
  array(
     'label' => esc_html__('Multiple Ads', 'hgwmag'),
     'section' => 'hgwmag-customizer-header-section',
     'type' => 'checkbox',
     'priority' => 10,
     'active_callback'  =>  'hgwmag_main_ads_status',
  )
);
// Ads 1 ================
$wp_customize->add_setting(
'hgwmag-header-adv1_url',
  array(
    'capability'     => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw'
  )
);

$wp_customize->add_control(
'hgwmag-header-adv1_url',
  array(
    'label' => esc_html__('URL Adv 1', 'hgwmag'),
    'section'    => 'hgwmag-customizer-header-section',
    'type' => 'url',
    'input_attrs' => array( 'placeholder' => 'https://hamgamweb.com/', ),
    'active_callback'  =>  'hgwmag_main_ads_status',
  )
);
$wp_customize->add_setting(
'hgwmag-header-adv1_img',
  array(
    'capability'     => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw'
  )
);

$wp_customize->add_control(
'hgwmag-header-adv1_img',
  array(
    'label' => esc_html__('IMG URL Adv 1', 'hgwmag'),
    'section'    => 'hgwmag-customizer-header-section',
    'type' => 'url',
    'input_attrs' => array( 'placeholder' => 'https://hamgamweb.com/image.jpg', ),
    'active_callback'  =>  'hgwmag_main_ads_status',
  )
);
// Ads 2 ================
$wp_customize->add_setting(
'hgwmag-header-adv2_url',
  array(
    'capability'     => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw'
  )
);

$wp_customize->add_control(
'hgwmag-header-adv2_url',
  array(
    'label' => esc_html__('URL Adv 2', 'hgwmag'),
    'section'    => 'hgwmag-customizer-header-section',
    'type' => 'url',
    'input_attrs' => array( 'placeholder' => 'https://hamgamweb.com/', ),
    'active_callback'  =>  'hgwmag_main_multiple_ads_status',
  )
);
$wp_customize->add_setting(
'hgwmag-header-adv2_img',
  array(
    'capability'     => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw'
  )
);

$wp_customize->add_control(
'hgwmag-header-adv2_img',
  array(
    'label' => esc_html__('IMG URL Adv 2', 'hgwmag'),
    'section'    => 'hgwmag-customizer-header-section',
    'type' => 'url',
    'input_attrs' => array( 'placeholder' => 'https://hamgamweb.com/image.jpg', ),
    'active_callback'  =>  'hgwmag_main_multiple_ads_status',
  )
);
