<?php
/**
* Customizer Settings for This Theme.
* @subpackage hgwmag
*/


//  =============================================================================
//  - Add More Settings Section
//  =============================================================================
$wp_customize->add_section(
'hgwmag-customizer-more-settings-section',
  array(
  'title'    => __('More Settings', 'hgwmag'),
  'capability'     => 'edit_theme_options',
  'priority' => 10,
  'panel'  => 'hgwmag-panel',
  )
);
// Custom Title Comments ============
$wp_customize->add_setting('hgwmag-customizer-title-theme-color',array('sanitize_callback' => 'sanitize_text_field',));
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-theme-color',
        array(
            'label' => esc_html__("Theme Color Settings", 'hgwmag'),
            'description' => __('Cusomize theme color', 'hgwmag'),
            'section' => 'hgwmag-customizer-more-settings-section',
        )
    )
);
// Theme Color Layouts ==============
$wp_customize->add_setting(
'hgwmag_theme_color_layouts',
  array(
     'default' => 'default',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag_theme_color_layouts',
  array(
     'label' => esc_html__('Theme Color Layouts', 'hgwmag'),
     'section' => 'hgwmag-customizer-more-settings-section',
     'type' => 'select',
     'choices' => array(
        'default' => __( 'Default', 'hgwmag' ),
        'dark' => __( 'Dark', 'hgwmag' ),
        'darkred' => __( 'Dark & red', 'hgwmag' ),
        'type1' => __( 'Type 1', 'hgwmag' ),
        'type2' => __( 'Type 2', 'hgwmag' ),
      ),
  )
);
// Theme Colors =====================
$wp_customize->add_setting('hgwmag_theme_font_color_variable', array(
    'default'           => '#000000',
    'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'transport'         => 'refresh'
));

$wp_customize->add_control(
  new WP_Customize_Color_Control(
    $wp_customize,
    'hgwmag_theme_font_color_variable',
    array(
    'label'    => __('Text color', 'hgwmag'),
    'section'  => 'hgwmag-customizer-more-settings-section',
    'active_callback'  =>  'hgwmag_theme_color_picker_variable_status',
    )
  )
);
$wp_customize->add_setting('hgwmag_theme_primary_color_variable', array(
    'default'           => '#ffffff',
    'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'transport'         => 'refresh'
));

$wp_customize->add_control(
  new WP_Customize_Color_Control(
    $wp_customize,
    'hgwmag_theme_primary_color_variable',
    array(
    'label'    => __('Primary color', 'hgwmag'),
    'section'  => 'hgwmag-customizer-more-settings-section',
    'active_callback'  =>  'hgwmag_theme_color_picker_variable_status',
    )
  )
);

$wp_customize->add_setting('hgwmag_theme_secondary_color_variable', array(
    'default'           => '#008cce',
    'sanitize_callback' => 'sanitize_hex_color',
    'capability'        => 'edit_theme_options',
    'transport'         => 'refresh'
));

$wp_customize->add_control(
  new WP_Customize_Color_Control(
    $wp_customize,
    'hgwmag_theme_secondary_color_variable',
    array(
    'label'    => __('Secondary color', 'hgwmag'),
    'section'  => 'hgwmag-customizer-more-settings-section',
    'active_callback'  =>  'hgwmag_theme_color_picker_variable_status',
    )
  )
);

// Custom Title Comments ============
$wp_customize->add_setting('hgwmag-customizer-title-disable-comments',array('sanitize_callback' => 'sanitize_text_field',));
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-disable-comments',
        array(
            'label' => esc_html__("Disable Comments", 'hgwmag'),
            'description' => __('This option affects the comments section on all pages', 'hgwmag'),
            'section' => 'hgwmag-customizer-more-settings-section',
        )
    )
);
// Show Comments {Toggle} ============
$wp_customize->add_setting(
'hgwmag-disable-comments',
  array(
      'default' => 0,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-disable-comments',
  array(
      'label' => esc_html__('Disable Comments', 'hgwmag'),
      'section' => 'hgwmag-customizer-more-settings-section',
      'type' => 'checkbox',
      'priority' => 10,
  )
);
// Custom Title Sticky Sidebar ============
$wp_customize->add_setting('hgwmag-customizer-title-sticky-sidebar',array('sanitize_callback' => 'sanitize_text_field',));
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-sticky-sidebar',
        array(
            'label' => esc_html__("Sticky Sidebar Comments", 'hgwmag'),
            'section' => 'hgwmag-customizer-more-settings-section',
        )
    )
);
// Sticky Sidebar {Toggle} ============
$wp_customize->add_setting(
'hgwmag-sticky-sidebar',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-sticky-sidebar',
  array(
      'label' => esc_html__('Sticky Sidebar', 'hgwmag'),
      'section' => 'hgwmag-customizer-more-settings-section',
      'type' => 'checkbox',
      'priority' => 10,
  )
);
// Custom Title Images style ============
$wp_customize->add_setting('hgwmag-customizer-title-img-style-on-hover',array('sanitize_callback' => 'sanitize_text_field',));
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-img-style-on-hover',
        array(
            'label' => esc_html__("Image style on hover", 'hgwmag'),
            'description' => __('For desktop mode only', 'hgwmag'),
            'section' => 'hgwmag-customizer-more-settings-section',
        )
    )
);
// Image Style ================
$wp_customize->add_setting(
'hgwmag-img-style-on-hover',
  array(
     'default' => 'zoom-in-rotate',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag-img-style-on-hover',
  array(
     'label' => esc_html__('Image Style', 'hgwmag'),
     'section' => 'hgwmag-customizer-more-settings-section',
     'type' => 'select',
     'choices' => array(
        'img-none-style' => __( 'Default', 'hgwmag' ),
        'zoom-in' => __( 'Zoom in', 'hgwmag' ),
        'zoom-in-rotate' => __( 'Zoom in & Rotate', 'hgwmag' ),
        'zoom-out' => __( 'Zoom out', 'hgwmag' ),
        'zoom-out-rotate' => __( 'Zoom out & Rotate', 'hgwmag' ),
      ),
  )
);
