<?php
/**
* Singular Pages Customizer Settings for This Theme.
* @subpackage hgwmag
*/

//  =============================================================================
//  - Add Singular Section
//  =============================================================================
$wp_customize->add_section(
'hgwmag_singular_section',
  array(
  'title'    => __('Singular Page', 'hgwmag'),
  'capability'     => 'edit_theme_options',
  'priority' => 10,
  'panel'  => 'hgwmag-panel',
  )
);

//  =============================================================================
//  - Custom Title - Section 1
//    Post Meta in Singular Pages
//  =============================================================================
$wp_customize->add_setting(
  'singular-page-title-section-1',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'singular-page-title-section-1',
        array(
            'label' => esc_html__("Post meta location", 'hgwmag'),
            'description' => __('Enter one of the published posts to see the changes', 'hgwmag'),
            'section' => 'hgwmag_singular_section',
        )
    )
);

// Posts meta location ================
$wp_customize->add_setting(
'hgwmag_singular_page_postmeta_location',
  array(
     'default' => 'sidebar',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag_singular_page_postmeta_location',
  array(
     'label' => esc_html__('Post meta location', 'hgwmag'),
     'section' => 'hgwmag_singular_section',
     'type' => 'select',
     'choices' => array(
        'sidebar' => __( 'Sidebar', 'hgwmag' ),
        'main' => __( 'Under the title of the post', 'hgwmag' ),
      ),
  )
);
// Sidebar Posts meta layouts ================
$wp_customize->add_setting(
'hgwmag_singular_page_postmeta_layouts',
  array(
     'default' => 'layout3',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag_singular_page_postmeta_layouts',
  array(
     'label' => esc_html__('Post meta layouts in sidebar', 'hgwmag'),
     'section' => 'hgwmag_singular_section',
     'type' => 'select',
     'choices' => array(
        'layout1' => __( 'Layout', 'hgwmag' ).' 1',
        'layout2' => __( 'Layout', 'hgwmag' ).' 2',
        'layout3' => __( 'Layout', 'hgwmag' ).' 3',
      ),
      'active_callback'  =>  'hgwmag_singular_page_postmeta_location_status',
  )
);

// Show previous and next posts {Toggle} ============
$wp_customize->add_setting(
'hgwmag_singular_post_title_in_sidebar',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag_singular_post_title_in_sidebar',
  array(
      'label' => esc_html__('Post title in sidebar', 'hgwmag'),
      'section' => 'hgwmag_singular_section',
      'type' => 'checkbox',
      'priority' => 10,
      'active_callback'  =>  'hgwmag_singular_page_postmeta_location_status',
  )
);
// Custom Title Next and Previous Posts ============
$wp_customize->add_setting('hgwmag-customizer-title-singular-next-and-prev-posts',array('sanitize_callback' => 'sanitize_text_field',));
$wp_customize->add_control(
    new HgwMag_Custom_Title_Customizer(
        $wp_customize,
        'hgwmag-customizer-title-singular-next-and-prev-posts',
        array(
            'label' => esc_html__("Show Next post", 'hgwmag'),
            'description' => __('Show Next and Previous posts in singular page', 'hgwmag'),
            'section' => 'hgwmag_singular_section',
        )
    )
);
// Show previous and next posts {Toggle} ============
$wp_customize->add_setting(
'hgwmag-show-singular-next-and-prev-posts',
  array(
      'default' => 1,
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'hgwmag_sanitize_checkbox',
  )
);

$wp_customize->add_control(
'hgwmag-show-singular-next-and-prev-posts',
  array(
      'label' => esc_html__('previous and next posts', 'hgwmag'),
      'section' => 'hgwmag_singular_section',
      'type' => 'checkbox',
      'priority' => 10,
  )
);
