<?php
/**
* Social Media Customizer Settings for This Theme.
* @subpackage hgwmag
*/

//  ==========================================================
//  = Add HgwMag "Magazine Theme" Social Settings Section
//  ==========================================================
    $wp_customize->add_section(
      'hgwmag-social-section',
      array(
        'title'    => __('Social Media', 'hgwmag'),
        'priority' => 10,
        'panel'  => 'hgwmag-panel',
    )
  );
    //  =============================
    //  = Add Customize icon               =
    //  =============================
    $wp_customize->selective_refresh->add_partial(
      'twitter_url',
        array(
          'selector' => '.social ul',
          'render_callback' => 'hgwmag_social_media_pages',
          )
      );
    //  =============================
    //  = Add setting               =
    //  =============================

    // ===
    // Twitter
    $wp_customize->add_setting(
        'twitter_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'transport' => 'postMessage',
          'sanitize_callback' => 'esc_url_raw' //cleans URL from all invalid characters
        )
    );

    $wp_customize->add_control(
        'twitter_url',
        array(
            'label' => esc_html('Twitter URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://twitter.com/name', )
        )
    );

    // ===
    // Facebook
    $wp_customize->add_setting(
        'facebook_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'facebook_url',
        array(
            'label' => esc_html('Facebook URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://facebook.com/name', )
        )
    );

    // ===
    // Youtube URL
    $wp_customize->add_setting(
        'youtube_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'youtube_url',
        array(
            'label' => esc_html('Youtube URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://www.youtube.com/channel/name', )
        )
    );

    // ===
    // Instagram URL
    $wp_customize->add_setting(
        'instagram_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'instagram_url',
        array(
            'label' => esc_html('Instagram URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://www.instagram.com/name', )
        )
    );

    // ===
    // Linkedin URL
    $wp_customize->add_setting(
        'linkedin_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'linkedin_url',
        array(
            'label' => esc_html('Linkedin URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://www.linkedin.com/company/name', )
        )
    );

    // ===
    // Pinterest URL
    $wp_customize->add_setting(
        'pinterest_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'pinterest_url',
        array(
            'label' => esc_html('Pinterest URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'http://pinterest.com/name', )
        )
    );

    // ===
    // Telegram Channel URL
    $wp_customize->add_setting(
        'telegram_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'telegram_url',
        array(
            'label' => esc_html('Telegram URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://t.me/name', )
        )
    );

    // ===
    // Whatsapp URL
    $wp_customize->add_setting(
        'whatsapp_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'whatsapp_url',
        array(
            'label' => esc_html('Whatsapp URL'),
            'section'    => 'hgwmag-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://api.whatsapp.com/send?phone=989123456789', )
        )
    );
