<?php
/**
* Singular Pages Customizer Settings for This Theme.
* @subpackage hgwmag
*/


/**
 * default data
 */
$Choices = array(
  'font_family' => array(
    'inherit' 					=> 'inherit',
    'initial' 					=> 'initial',
    'Arial' 						=> 'Arial',
    'Tahoma' 						=> 'Tahoma',
    'Verdana' 					=> 'Verdana',
    'Helvetica' 				=> 'Helvetica',
    'Georgia' 					=> 'Georgia',
    'Garamond' 					=> 'Garamond',
    'Courier New' 			=> 'Courier New',
    'Brush Script MT' 	=> 'Brush Script MT',
    'Trebuchet MS' 			=> 'Trebuchet MS',
    'Times New Roman' 	=> 'Times New Roman'
  ),
  'text_transform' => array(
    'inherit' 					=> 'inherit',
    'initial' 					=> 'initial',
    'none' 							=> 'None',
    'full-width' 				=> 'Full Width',
    'capitalize' 				=> 'Capitalize',
    'uppercase' 				=> 'Uppercase',
    'lowercase' 				=> 'Lowercase'
  ),
  'font_weight' => array(
    'inherit' 					=> 'inherit',
    'initial' 					=> 'initial',
    'lighter' 					=> 'Lighter',
    'normal' 						=> 'Normal',
    'bold' 							=> 'Bold',
    'bolder' 						=> 'Bolder',
    '100' 							=> '100',
    '200' 							=> '200',
    '300' 							=> '300',
    '400' 							=> '400',
    '500' 							=> '500',
    '600' 							=> '600',
    '700' 							=> '700',
    '800' 							=> '800',
    '900' 							=> '900'
  )
);
//  =============================================================================
//  - Add Singular Section
//  =============================================================================
$wp_customize->add_section(
'hgwmag_customizer_typography_section',
  array(
  'title'    => __('Typography', 'hgwmag'),
  'capability'     => 'edit_theme_options',
  'priority' => 10,
  'panel'  => 'hgwmag-panel',
  )
);

if ( ! is_rtl() ) {

  // Base - Font Family
  $wp_customize->add_setting(
  'hgwmag_customizer_control_typography_base_font_family',
    array(
       'default' => 'inherit',
       'capability' => 'edit_theme_options',
       'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
    )
  );

  $wp_customize->add_control(
  'hgwmag_customizer_control_typography_base_font_family',
    array(
       'label' => esc_html__('Font Family', 'hgwmag'),
       'section' => 'hgwmag_customizer_typography_section',
       'type' => 'select',
       'choices' => $Choices['font_family']
    )
  );

}

// Base - Font Size
$wp_customize->add_setting( 'hgwmag_customizer_control_typography_base_font_size',
  array(
    'default' => 1.2,
    'transport' => 'refresh',
    'sanitize_callback' => 'hgwmag_sanitize_decimal_number'
  )
);
$wp_customize->add_control(
  new HgwMag_Slider_Custom_Control( $wp_customize,
  'hgwmag_customizer_control_typography_base_font_size',
    array(
      'label'    => esc_html__('Font Size', 'hgwmag'),
      'section'  => 'hgwmag_customizer_typography_section',
      'type'     => 'range-value',
      'default_value' => 1.2,
      'input_attrs' => array('min' => 0, 'max' => 10, 'step' => 0.01, 'suffix' => 'em' )
     )
   )
);

// Base - Line Height
$wp_customize->add_setting( 'hgwmag_customizer_control_typography_base_line_height',
  array(
    'default' => 1.8,
    'transport' => 'refresh',
    'sanitize_callback' => 'hgwmag_sanitize_decimal_number'
  )
);
$wp_customize->add_control(
  new HgwMag_Slider_Custom_Control( $wp_customize,
  'hgwmag_customizer_control_typography_base_line_height',
    array(
      'label'    => esc_html__('Line Height', 'hgwmag'),
      'section'  => 'hgwmag_customizer_typography_section',
      'type'     => 'range-value',
      'default_value' => 1.8,
      'input_attrs' => array('min' => 0.1, 'max' => 5, 'step' => 0.01, 'suffix' => 'em' )
     )
   )
);

// Base - Text Transform
$wp_customize->add_setting(
'hgwmag_customizer_control_typography_base_text_transform',
  array(
     'default' => 'inherit',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag_customizer_control_typography_base_text_transform',
  array(
     'label' => esc_html__('Text Transform', 'hgwmag'),
     'section' => 'hgwmag_customizer_typography_section',
     'type' => 'select',
     'choices' => $Choices['text_transform']
  )
);

// Base - Font Weight
$wp_customize->add_setting(
'hgwmag_customizer_control_typography_base_font_weight',
  array(
     'default' => 'inherit',
     'capability' => 'edit_theme_options',
     'sanitize_callback' => 'hgwmag_sanitize_radio_and_select',
  )
);

$wp_customize->add_control(
'hgwmag_customizer_control_typography_base_font_weight',
  array(
     'label' => esc_html__('Font Weight', 'hgwmag'),
     'section' => 'hgwmag_customizer_typography_section',
     'type' => 'select',
     'choices' => $Choices['font_weight']
  )
);

// Base - Paragraph Margin
$wp_customize->add_setting( 'hgwmag_customizer_control_typography_base_paragraph_margin',
  array(
    'default' => 1,
    'transport' => 'refresh',
    'sanitize_callback' => 'hgwmag_sanitize_decimal_number'
  )
);
$wp_customize->add_control(
  new HgwMag_Slider_Custom_Control( $wp_customize,
  'hgwmag_customizer_control_typography_base_paragraph_margin',
    array(
      'label'    => esc_html__('Paragraph Margin', 'hgwmag'),
      'section'  => 'hgwmag_customizer_typography_section',
      'type'     => 'range-value',
      'default_value' => 1,
      'input_attrs' => array('min' => 0, 'max' => 10, 'step' => 0.1, 'suffix' => 'em' )
     )
   )
);
