<?php
/**
* Custom Theme info for This Theme
* Show in Dashboard, Link to Customizer Options, Show the latest features
* @subpackage hgwmag
*/
function hgwmag_redirect_to_theme_page () {

  wp_redirect(
    admin_url("themes.php?page=hgwmag")
  );

}
add_action('after_switch_theme', 'hgwmag_redirect_to_theme_page');

function hgwmag_theme_page() {
    add_theme_page(
      'Hgw Magazine',
      'Hgw Magazine',
      'edit_theme_options',
      'hgwmag',
      'hgwmag_theme_option_page',
      1
    );
}
add_action( 'admin_menu', 'hgwmag_theme_page' );

function hgwmag_theme_option_page() { ?>
  <div class="wrap about__container">
   	<div class="about__section is-feature" style="background: #2271b1;color: white;">
   		<div class="column">
   			<h1 class="is-smaller-heading">Hgw Magazine - <?php $theme_version = wp_get_theme()->get( 'Version' ); echo esc_html($theme_version);?></h1>
   			<p>
          <?php esc_html_e( 'Hi, thank you for choosing Hgw Magazine theme. Many features will be added to this theme soon, help improve this theme with your suggestions.', 'hgwmag' ); ?>
        </p>
   		</div>
   	</div>
   	<hr>
   	<div class="about__section has-2-columns" style="background:white;">
   		<div class="column">
          <?php
          echo sprintf(
            '<h3>%1$s</h3><p></p>%2$s<p><a href="%3$s" class="button button-primary" target="_self">%4$s</a></p>',
            esc_html__( 'Theme Options', 'hgwmag' ),
            esc_html__( 'Theme uses Customizer API for theme options. Using the Customizer you can easily customize different aspects of the theme.', 'hgwmag' ),
            esc_url( admin_url( 'customize.php?autofocus%5Bsection%5D=hgwmag-panel' ) ),
            esc_html__( 'Options', 'hgwmag' )
           );
          ?>
   		</div>
   		<div class="column">
          <?php
          echo sprintf(
            '<h3>%1$s</h3><p></p>%2$s<p><a href="%3$s" class="button button-primary" target="_self">%4$s</a></p>',
            esc_html__( 'Widgets', 'hgwmag' ),
            esc_html__( 'Theme uses Wedgets API for widget options. Using the Widgets you can easily customize different aspects of the theme.', 'hgwmag' ),
            esc_url( admin_url( 'widgets.php' ) ),
            esc_html__( 'Widgets', 'hgwmag' )
           );
          ?>
   		</div>
   	</div>
   	<hr class="is-small">
    <div class="about__section"  style="background-color: white;border: 3px solid #2271b1;">
      <div class="column">
        <h3><?php echo esc_html__( 'Participate to get better', 'hgwmag' ) ?></h3>
        <p><?php echo esc_html__( 'Any suggestion for improvement is welcome, if you think your suggestion to improve this theme let me know.', 'hgwmag' ) ?></p>
        <!-- Start Contact us -->
        <p>
          <?php echo esc_html__( 'Request feature addition or bug report', 'hgwmag' ); ?>
          <a href="mailto:hamgamwebcom@gmail.com" class="button button-primary" target="_blank">
            <?php echo esc_html__( 'Tell me', 'hgw-whiteboard' ) ?>
          </a> <code>hamgamwebcom@gmail.com</code>
        </p>
        <!-- Start Review -->
        <p>
          <?php echo esc_html__( 'rate this theme', 'hgwmag' ) ?>
          <a href="https://wordpress.org/support/theme/hgwmag/reviews/#new-post" class="button button-primary">
            <?php echo esc_html__( 'Review', 'hgwmag' ) ?>
          </a>
        </p>
   		</div>
    </div>

    <hr class="is-small">
   	<div class="about__section" style="background:white;">
      <div class="column" style="direction: ltr;">
        <h3>Changelog <?php echo esc_html($theme_version);?></h3>
          <h4>1. Improved style and mobile friendly</h4>
          <h4>2. Added more settings ( Appearance > Hgw Magazine > Typography )</h4>
          <h4>3. Fixed some issues</h4>

      </div>
   	</div>
  </div>
<?php
}
