<?php
/**
* Front End Page Functions for This Theme.
* @subpackage hgwmag
*/

 if ( ! function_exists( 'hgwmag_front_page_001' ) ) :
   /*
   #=========================================================================
   #   Multi Column Section
   #   Show with action
   #   This Function Show Topest Columns of Front-Page [Slider]
   #=========================================================================
   */
   function hgwmag_front_page_001() {
     $tcfS_Cat = get_theme_mod( 'hgwmag-homepage-tpsec-slider-category' );
     if ( ! $tcfS_Cat ) {
       $tcfS_Cat = '';
     }
     $tcfS_Args = array(
       'cat'             => $tcfS_Cat,
       'post__not_in' => get_option("sticky_posts"),
       'posts_per_page'  => 5,
     );
     $tcfS_query = new WP_Query( $tcfS_Args );

     echo '<div class="col col-2 flex-sb">'; // End of last line in get_2col_of_front_page_top_section Function
     echo '<div class="inner-item slider">';
     if ( $tcfS_query->have_posts() ) :
       $date_info = get_theme_mod( 'hgwmag_fp_tpsec_slider_date', 1 );
       $comment_info = get_theme_mod( 'hgwmag_fp_tpsec_slider_comments', 1 );
       $author_info = get_theme_mod( 'hgwmag_fp_tpsec_slider_author', 1 );
         while ( $tcfS_query->have_posts() ) : $tcfS_query->the_post();
            get_template_part(
              'template-parts/content',
              'excerpt',
              array(
                'image' => true,
                'default_image' => true,
                'date_info' => $date_info,
                'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                'author_info' => $author_info,
                'ex' => 300
              )
            );

         endwhile;

     else:
       hgwmag_default_content();
     endif;
     echo '</div>';
     wp_reset_postdata();
   }

 endif;

    if ( ! function_exists( 'hgwmag_front_page_002' ) ) :
      /*
      #=========================================================================
      #   Multi Column Section
      #   Show with action
      #   This Function Show Topest Columns of Front-Page [Posts 2 Columns]
      #=========================================================================
      */
    function hgwmag_front_page_002() {
      $tcf2Cat = get_theme_mod( 'hgwmag-homepage-tpsec-2p-category' );
      if ( ! $tcf2Cat ) {
        $tcf2Cat = '';
      }
      $tcf2Args = array(
        'cat'             => $tcf2Cat,
        'post__not_in' => get_option("sticky_posts"),
        'posts_per_page'  => 2,
      );
      $tcf2_query = new WP_Query( $tcf2Args );
      if ( $tcf2_query->have_posts() ) :
        echo '<div class="inner-item posts col-2">';
        $date_info = get_theme_mod( 'hgwmag_fp_tpsec_2p_date', 1 );
        $comment_info = get_theme_mod( 'hgwmag_fp_tpsec_2p_comments', 0 );
        $author_info = get_theme_mod( 'hgwmag_fp_tpsec_2p_author', 0 );
          while ( $tcf2_query->have_posts() ) : $tcf2_query->the_post();
          get_template_part(
            'template-parts/content',
            'excerpt',
            array(
              'image' => true,
              'default_image' => true,
              'date_info' => $date_info,
              'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
              'author_info' => $author_info,
              'ex' => 50
            )
          );
          endwhile;
          wp_reset_postdata();
        echo '</div>';
      else:
        hgwmag_default_content();
      endif;
      echo '</div>'; // End <div class="col col-2 flex-sb"> in get_2col_of_front_page_top_section Function
    }

  endif;


   if ( ! function_exists( 'hgwmag_front_page_003' ) ) :
     /*
     #=========================================================================
     #   Multi Column Section
     #   Show with action
     #   This Function Show Topest Columns of Front-Page [Posts 4 Columns]
     #=========================================================================
     */

     function hgwmag_front_page_003() {

       $tcf4Cat = get_theme_mod( 'hgwmag-homepage-tpsec-4p-category' );
       if ( ! $tcf4Cat ) {
         $tcf4Cat = '';
       }
       $tcf4Args = array(
         'cat'             => $tcf4Cat,
         'post__not_in' => get_option("sticky_posts"),
         'posts_per_page'  => 4,
       );
       $tcf4_query = new WP_Query( $tcf4Args );
       if ( $tcf4_query->have_posts() ) :
         echo '<div class="col col-4 flex-sb">';
         $date_info = get_theme_mod( 'hgwmag_fp_tpsec_4p_date', 1 );
         $comment_info = get_theme_mod( 'hgwmag_fp_tpsec_4p_comments', 0 );
         $author_info = get_theme_mod( 'hgwmag_fp_tpsec_4p_author', 0 );
           while ( $tcf4_query->have_posts() ) : $tcf4_query->the_post();
             get_template_part(
               'template-parts/content',
               'excerpt',
               array(
                 'image' => true,
                 'default_image' => true,
                 'date_info' => $date_info,
                 'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                 'author_info' => $author_info,
                 'ex' => 50
               )
             );
           endwhile;
           wp_reset_postdata();
         echo '</div>';
       else:
         hgwmag_default_content();
       endif;

     }

   endif;


    if ( ! function_exists( 'hgwmag_front_page_004' ) ) :
      /*
      #=========================================================================
      #   Popular Tags
      #   Show with Function
      #   This Function Show Popular Tags of Front-Page [Posts 4 Columns]
      #=========================================================================
      */

     function hgwmag_front_page_004( $title, $number ) {
         $popular_tags = get_terms(
             array(
               'taxonomy' => 'post_tag',
               'number' => absint($number),
               'orderby' => 'count',
               'order' => 'DESC',
               'hide_empty' => true,
             )
           );

         $html = '';

         if ( isset($popular_tags) && !empty($popular_tags) ):
             $html .= '<div class="popular-tags-list">';
             if ( !empty($title) ) {
               $html .= '<strong>'.esc_html($title).'</strong>';
             }
             $html .= '<ul>';
             foreach ($popular_tags as $tags):
                 $html .= '<li>';
                 $html .= '<a href="' . esc_url(get_term_link($tags)) . '">#';
                 $html .= $tags->name;
                 $html .= '</a>';
                 $html .= '</li>';
             endforeach;
             $html .= '</ul>';
             $html .= '</div>';
         endif;

         echo wp_kses_post($html);
     }

     endif;


     if ( ! function_exists( 'hgwmag_front_page_005' ) ) :
       /*
       #=========================================================================
       #   3 Columns Posts Section
       #   Show with Function
       #   This Function Show "3 Columns Posts Section" after "Popular Tags Section" of Front-Page
       #=========================================================================
       */
      function hgwmag_front_page_005( $title, $cat) {
        $tcf5pt1Args = array(
          'cat'             => $cat,
          'post__not_in' => get_option("sticky_posts"),
          'posts_per_page'  => 3,
        );
        $tcf5pt1_query = new WP_Query( $tcf5pt1Args );
        echo '<div class="post-box-container type-4">';
          echo '<h3 class="title line">'.esc_html( $title ).'</h3>';
        if ( $tcf5pt1_query->have_posts() ) :
          $tcf5pt1 = 0;
          $date_info = get_theme_mod( 'hgwmag_fp_3column_posts_date', 1 );
          $comment_info = get_theme_mod( 'hgwmag_fp_3column_posts_comments', 1 );
          $author_info = get_theme_mod( 'hgwmag_fp_3column_posts_author', 0 );
            echo '<div class="post-box">';
            while ( $tcf5pt1_query->have_posts() ) : $tcf5pt1_query->the_post();
              $tcf5pt1++;
              if ( $tcf5pt1 == 1 ) {
                echo '<div class="single-col">';
                get_template_part(
                  'template-parts/content',
                  'excerpt',
                  array(
                    'image' => true,
                    'default_image' => true,
                    'date_info' => $date_info,
                    'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                    'author_info' => $author_info,
                    'ex' => 100
                  )
                );
                echo '</div>';
              }else{
                echo '<div class="tiny">';
                get_template_part(
                  'template-parts/content',
                  'excerpt',
                  array(
                    'image' => true,
                    'default_image' => true,
                    'date_info' => $date_info,
                    'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                    'author_info' => $author_info,
                    'ex' => 0
                  )
                );
                echo '</div>';
              }
            endwhile;
            wp_reset_postdata();
            echo '</div>';
        else:
          hgwmag_default_content();
        endif;
        echo '</div>';
      }

    endif;

    if ( ! function_exists( 'hgwmag_front_page_006' ) ) :
      /*
      #=========================================================================
      #   Posts 5 Columns - Main Content
      #   Show with Action
      #   This Function Show "Posts 5 Columns" inside <main> of Front-Page
      #=========================================================================
      */

    function hgwmag_front_page_006(){

      if (get_theme_mod('hgwmag-show-fr-posts-column-4', 1 ) == 1 ){

        $PostBoxCat = get_theme_mod( 'hgwmag-fr-posts-column-4-cat', '' );
        if ( ! $PostBoxCat ) {
          $PostBoxCat = '';
        }
        $PostBoxTitle = get_theme_mod( 'hgwmag-fr-posts-column-4-title', 'Title');
        $PostBoxArgs = array(
          'cat'             => $PostBoxCat,
          'post__not_in' => get_option("sticky_posts"),
          'posts_per_page'  => 5,
        );
        $PostBoxQuery = new WP_Query( $PostBoxArgs );
        echo '<div class="post-box-container type-1">';
          echo '<h3 class="title line">'.esc_html( $PostBoxTitle ).'</h3>';
        if ( $PostBoxQuery->have_posts() ) :
          $PostBox = 0;
            echo '<div class="post-box">';
            $date_info = get_theme_mod( 'hgwmag_fp_2column_5posts_date', 1 );
            $comment_info = get_theme_mod( 'hgwmag_fp_2column_5posts_comments', 1 );
            $author_info = get_theme_mod( 'hgwmag_fp_2column_5posts_author', 0 );
            while ( $PostBoxQuery->have_posts() ) : $PostBoxQuery->the_post();
              $PostBox++;
              if ( $PostBox == 1 ) {
                echo '<div class=single-col>';
                get_template_part(
                  'template-parts/content',
                  'excerpt',
                  array(
                    'image' => true,
                    'default_image' => true,
                    'date_info' => $date_info,
                    'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                    'author_info' => $author_info,
                    'ex' => 150
                  )
                );
                echo '</div><div class="multiple-col">';
              }else{
                get_template_part(
                  'template-parts/content',
                  'excerpt',
                  array(
                    'image' => true,
                    'default_image' => true,
                    'date_info' => $date_info,
                    'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                    'author_info' => $author_info,
                    'ex' => 0
                  )
                );
              }
            endwhile;
            wp_reset_postdata();
              echo '</div>'; // <div class="multiple-col">
            echo '</div>';

        else:
          hgwmag_default_content();
        endif;
        echo '</div>';
      } // get_theme_mod

    } // Function

    endif;


    if ( ! function_exists( 'hgwmag_front_page_007' ) ) :
      /*
      #=========================================================================
      #   Tiny Slideshow - Main Content
      #   Show with Action
      #   This Function Show "tiny slideshow" after "Posts 5 Columns" inside <main> of Front-Page
      #=========================================================================
      */

    function hgwmag_front_page_007(){

      if (get_theme_mod('hgwmag-show-fr-posts-column-5', 1 ) == 1 ){

        $PostBoxTitle1 = get_theme_mod( 'hgwmag-fr-posts-column-5-title', 'Title');
        $PostBoxCatT1 = get_theme_mod( 'hgwmag-fr-posts-column-5-cat', '' );
        if ( ! $PostBoxCatT1 ) {
          $PostBoxCatT1 = '';
        }
        $PostBoxArgsT1 = array(
          'cat'             => $PostBoxCatT1,
          'post__not_in' => get_option("sticky_posts"),
          'posts_per_page'  => 12,
        );
        $PostBoxQueryT1 = new WP_Query( $PostBoxArgsT1 );
        if ( $PostBoxQueryT1->have_posts() ) :
          echo '<div class="post-box-container type-2">';
            echo '<h3 class="title line">'.esc_html( $PostBoxTitle1 ).'</h3>';
            echo '<div class="post-box">';
            $date_info = get_theme_mod( 'hgwmag_fp_tinyslideshow_date', 1 );
            $comment_info = get_theme_mod( 'hgwmag_fp_tinyslideshow_comments', 1 );
            $author_info = get_theme_mod( 'hgwmag_fp_tinyslideshow_author', 0 );
            while ( $PostBoxQueryT1->have_posts() ) : $PostBoxQueryT1->the_post();
              if( has_post_thumbnail() ){
                $exLen = 0;
                $thisClass = '';
              }else{
                $exLen = 150;
                $thisClass = ' noimg';
              }
              echo '<div class="space-slide'.esc_html( $thisClass ).'">';

                get_template_part(
                  'template-parts/content',
                  'excerpt',
                  array(
                    'image' => true,
                    'default_image' => false,
                    'date_info' => $date_info,
                    'comments_info' => $comment_info, // Not Show if comments is Disabled : Customize> Hgw Magazine> More Settings
                    'author_info' => $author_info,
                    'ex' => $exLen
                  )
                );
              echo '</div>';
            endwhile;
            wp_reset_postdata();
            echo '</div>';
          echo '</div>';
        else:
          hgwmag_default_content();
        endif;


      } // get_theme_mod

    } // Function

    endif;
