<?php
/**
* Header Functions for This Theme.
* @subpackage hgwmag
*/

 if ( ! function_exists( 'hgwmag_header_001' ) ) :
 /*
 #=========================================================================
 #   Header Top Section
 #   Show with Action
 #   This Function Show Top Section of Header [Date, Small Menu, Social Media]
 #=========================================================================
 */

 	function hgwmag_header_001(){

     if( get_theme_mod('hgwmag-show-top-header', 1 ) == 1 ){ ?>
    <a class="skip-link screen-reader-text" href="#site-content">Skip to content</a>
     <div id="header-up" class="upper">
       <div class="innerw flex-sb">

         <div class="col flex-sb">
           <?php

   				if( get_theme_mod('hgwmag-show-header-date', 1 ) == 1 ){
            // Get Date and Time Based on General Settings
            $format = get_option('date_format') . ' - ' . get_option('time_format');
            ?>
            <div class="datetime">
              <span>
                <?php echo esc_html( date_i18n($format, current_time('timestamp')) ); ?>
              </span>
            </div>
            <?php
    			}

   				if ( has_nav_menu( 'tiny-menu' ) ){
   					wp_nav_menu( array(
   	            'theme_location'    => 'tiny-menu',
   	            'depth'             => 1,
   	            'container'         => 'div',
   	            'container_class'   => 'tiny-menu',
   	            'container_id'      => 'tiny-menu',
   	        ) );
     				}else{

              ?>
              <div id="tiny-menu" class="tiny-menu">
                <ul id="menu-all-pages" class="menu">
                  <?php
                  wp_list_categories(
                    array(
                         'title_li'   => '',
                         'orderby'    => 'name',
                         'show_count' => 0,
                         'number' 		=> 5,
                         'hierarchical' => false,
                         'orderby'    => 'count',
                         'order'      => 'DESC',
                         'echo'				=> 1
                     )
                  );
                  ?>
                </ul>
              </div>
              <?php
     				}

             ?>
           </div> <!-- Col -->
           <?php
           if( get_theme_mod('hgwmag-show-header-social', 1 ) == 1 ){

           	hgwmag_social_media_pages();
         	}
     			?>
     	</div>

    </div><!-- Upper -->
   <?php }
 	}

 endif;


 if ( ! function_exists( 'hgwmag_header_002' ) ) :
 /*
 #=========================================================================
 #   Header Center Section
 #   Show with Action
 #   This Function Show Center Section of Header [Logo, Ads]
 #=========================================================================
 */
   function hgwmag_header_main_section_layout1(){

     if( get_theme_mod('hgwmag-show-brand', 1 ) == 1 ){

     $brandLayouts = get_theme_mod('hgwmag-show-brand-layouts', 'title');
     ?>
     <div class="brand <?php echo esc_attr( $brandLayouts ); ?>">
       <?php

       if( $brandLayouts == 'title' ) :
         echo '<a href="'.esc_url( home_url() ).'" class="focused j-title"><h1>'.esc_html( get_bloginfo( 'name' ) ).'</h1></a>';
         echo '<p>'.esc_html( get_bloginfo( 'description' ) ).'</p>';

       elseif( $brandLayouts == 'logo' ):
         // if Layouts set to logo
         if ( has_custom_logo() ) {
           // Show site logo if logo exists
           the_custom_logo();

         }else{
           // if logo not exists show link to set logo
           // and show site title for everyone except administrator & editor
           if( current_user_can('editor') || current_user_can('administrator') ):
             echo '<a href="'.esc_url( admin_url( 'customize.php?autofocus%5Bsection%5D=title_tagline' ) ).'" class="focused"><h1>'.esc_html__( 'Logo', 'hgwmag' ).'</h1></a>';
           else:
             // This part just showing for administrator & editor
             echo '<a href="'.esc_url( home_url() ).'" class="focused"><h1>'.esc_html( get_bloginfo( 'name' ) ).'</h1></a>';
           endif;

         }
       else:
         echo '<a href="'.esc_url( home_url() ).'" class="focused j-title"><h1>'.esc_html( get_bloginfo( 'name' ) ).'</h1></a>';
       endif;

       ?>
     </div>
   <?php
    } // hgwmag-show-brand


   if( get_theme_mod('hgwmag-show-header-ads', 0 ) == 1 ) :
     // Show Header Ads
     $HgwShowAds = get_theme_mod('hgwmag-show-header-ads', 1 );
     // Show Header Brand
     $HgwShowBrand = '';
     if ( get_theme_mod('hgwmag-show-brand', 1 ) == 0 ) {
       $HgwShowBrand = ' full-width';
     }
     // Default image & URL
     $HgwShowAdUrlDef = home_url();
     $HgwShowAdImgDef = get_template_directory_uri() . '/assets/img/headerimg-a.jpg';
     $HgwShowAdImgDef468 = get_template_directory_uri() . '/assets/headerimg-asmall.jpg';
     $HgwShowAdImgAlt = get_bloginfo( 'name' ).' Advertising';
     // Ads 1
     // URL
     $HgwShowAdU1 = $HgwShowAdUrlDef;
     if ( get_theme_mod('hgwmag-header-adv1_url' ) ) {
       $HgwShowAdU1 = get_theme_mod('hgwmag-header-adv1_url' );
     }
     // Img
     $HgwShowAdImg1 = $HgwShowAdImgDef;
     if ( get_theme_mod('hgwmag-header-adv1_img' ) ) {
       $HgwShowAdImg1 = get_theme_mod('hgwmag-header-adv1_img' );
     }
     // Ads 2
     // URL
     $HgwShowAdU2 = $HgwShowAdUrlDef;
     if ( get_theme_mod('hgwmag-header-adv2_url' ) ) {
       $HgwShowAdU2 = get_theme_mod('hgwmag-header-adv2_url' );
     }
     // Img
     $HgwShowAdImg2 = $HgwShowAdImgDef;
     if ( get_theme_mod('hgwmag-header-adv2_img' ) ) {
       $HgwShowAdImg2 = get_theme_mod('hgwmag-header-adv2_img' );
     }

     ?>
     <div class="himgs flex-sb<?php echo esc_attr( $HgwShowBrand ); ?>">
       <a href="<?php echo esc_url( $HgwShowAdU1 ); ?>">
         <img src="<?php echo esc_url( $HgwShowAdImg1 ); ?>" alt="<?php echo esc_attr( $HgwShowAdImgAlt ); ?>">
       </a>
       <?php if( get_theme_mod('hgwmag-multiple-header-ads', 0 ) == 1 ){ ?>
         <a href="<?php echo esc_url( $HgwShowAdU2 ); ?>">
           <img src="<?php echo esc_url( $HgwShowAdImg2 ); ?>" alt="<?php echo esc_attr( $HgwShowAdImgAlt ); ?>">
         </a>
       <?php } // hgwmag-multiple-header-ads ?>
     </div>
   <?php endif; // hgwmag-show-header-ads
   }

   function hgwmag_header_main_section_layout2(){

     if ( has_custom_logo() ) {
       // Show site logo if logo exists
       the_custom_logo();

     }else{
       // if logo not exists show link to set logo
       // and show site title for everyone except administrator & editor
       if( current_user_can('editor') || current_user_can('administrator') ):
         echo '<a href="'.esc_url( admin_url( 'customize.php?autofocus%5Bsection%5D=title_tagline' ) ).'" class="focused"><h1>'.esc_html__( 'Logo', 'hgwmag' ).'</h1></a>';
       else:
         // This part just showing for administrator & editor
         echo '<a href="'.esc_url( home_url() ).'" class="focused"><h1>'.esc_html( get_bloginfo( 'name' ) ).'</h1></a>';
       endif;

     }

   }

   function hgwmag_header_002() {

     if( get_theme_mod('hgwmag-show-main-header', 1 ) == 1 ){

       $header_main_layouts = get_theme_mod( 'hgwmag-customizer-header-layouts', 'layout1' );
       ?>

     <div class="header-content <?php if( get_theme_mod( 'hgwmag-multiple-header-ads', 0 ) == 1 ){ echo ' multiple'; } ?>">
       <div class="innerw flex-sb">

       <?php
       if ( $header_main_layouts == 'layout1' ) {

         hgwmag_header_main_section_layout1();

       }elseif ( $header_main_layouts == 'layout2' ) {

         echo '<div class="just-logo">';

          hgwmag_header_main_section_layout2();

         echo '</div>';
       }
       ?>

     </div>

   </div>

   <?php }

   }

 endif;


if ( ! function_exists( 'hgwmag_header_003' ) ) :
/*
#=========================================================================
#   Header Bottom Section
#   Show with Action
#   This Function Show Bottom Section of Header [Main Menu, Search Box]
#=========================================================================
*/
  	function hgwmag_header_003(){ ?>

     <nav id="nav-menu" class="main-menu">
       <div class="innerw flex-sb">
         <button class="open-menu"><i class="fa fa-bars" aria-hidden="true"></i></button>
       <div id="hgw-primary-menu" class="primary">

         <div class="homeicon">
           <button id="first-f" class="close-menu"><i class="fa fa-times" aria-hidden="true"></i><?php esc_html_e( 'Close', 'hgwmag' ) ?></button>
           <a href="<?php echo esc_url( home_url() ) ?>"><i class="fa fa-home" aria-hidden="true"></i></a>
         </div>
         <?php

         if ( has_nav_menu( 'primary-menu' ) ){
           wp_nav_menu( array(
               'theme_location'    => 'primary-menu',
               'container'         => 'div',
               'container_id'      => 'main-menu',
               'menu_class' => 'primary-menu',
               'depth'             => 3,
               'walker'         => new HgwMag_Menu_Walker
           ) );
         }else{
           ?>
           <div id="main-menu">
             <ul id="menu-all-pages" class="menu primary-menu">
               <?php
               $menu_args = array(
                    'title_li'   => '',
                    'orderby'    => 'name',
                    'show_count' => 0,
                    'number' 		=> 5,
                    'orderby'    => 'count',
                    'order'      => 'DESC',
                );
               wp_list_categories( $menu_args );
               ?>
             </ul>
           </div>
           <?php
         } // else

         ?>
         <button id="last-f"></button>
       </div>
       <div class="search-btn">
         <button></button>
       </div>
     </div>
     </nav>

     <div class="search-field">
       <div class="innerw">
         <form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ) ?>">
              <button type="button" id="first-sf" class="close-search-form">
                <i class="fa fa-times"  aria-hidden="true"></i> <?php echo esc_html__( 'Close', 'hgwmag' ); ?>
              </button>
             <input type="text" id="searchtext" value="" name="s" placeholder="<?php echo esc_attr_e( 'Search ...', 'hgwmag' ); ?>" autocomplete="off"/>
             <div class="search-submit">
               <button type="submit" id="last-sf" value="Search"><i class="fa fa-search"></i></button>
             </div>
         </form>
       </div>
     </div>

    <?php
  	}

  endif;
