<?php
/**
* Singular Page NextPost & PrevPost Navigation for This Theme
* @subpackage hgwmag
*/

 if ( ! function_exists( 'hgwmag_next_and_previous_post' ) ) :

 function hgwmag_next_and_previous_post(){

		$next_post = get_next_post();
		$prev_post = get_previous_post();

		if ( $next_post || $prev_post ) { ?>

			<nav class="pagination-singular">


				<div class="inner-section posts flex-sb">

					<?php
					if ( $prev_post ) {
						$PrevID = $prev_post->ID;
						$prevPermalink = get_permalink( $PrevID );
						$prevTitle = get_the_title( $PrevID );
						$prevThumbnail = get_the_post_thumbnail($PrevID, array(50,50) );

						?>
							<a href="<?php echo esc_url( $prevPermalink ); ?>" class="prvpost">

								<div class="post flex-sb<?php if ($prevThumbnail){ echo ' no-img'; } ?>">

									<?php if ($prevThumbnail):?>
									<div class="thumbnail">
										<?php
                    echo $prevThumbnail;
                    // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                    ?>
									</div>
									<?php endif; ?>

									<div class="content">
										<?php echo '<p>'.esc_html( $prevTitle ).'</p>'. esc_html__( 'Previous Post', 'hgwmag' ); ?>
									</div>

								 </div>

							</a>

						<?php
					}
					else{
						 echo '<div class="post no-img not-found"><div class="content"><p>'.esc_html__( 'Previous Post Not Found', 'hgwmag' ).'</p>'.esc_html__( 'This is the first post', 'hgwmag' ).'</div></div>';
					}



					if ( $next_post ) {
						$NextID = $next_post->ID;
						$NextPermalink = get_permalink( $NextID );
						$NextTitle = get_the_title( $NextID );
						$NextThumbnail = get_the_post_thumbnail($NextID, array(50,50) );
						?>

						<a href="<?php echo esc_url( $NextPermalink ); ?>" class="nextpost">

							<div class="post flex-sb<?php if ($NextThumbnail){ echo ' no-img'; } ?>">

								<?php if ($NextThumbnail):?>
								<div class="thumbnail">
									<?php
                  echo $NextThumbnail;
                  // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                  ?>
								</div>
								<?php endif; ?>

								<div class="content">
									<?php echo '<p>'.esc_html( $NextTitle ).'</p>'. esc_html__( 'Next Post', 'hgwmag'); ?>
								</div>

							 </div>

						</a>

					<?php
						}
						else{
							 echo '<div class="post no-img not-found"><div class="content"><p>'.esc_html__( 'Next Post Not Found', 'hgwmag' ).'</p>'.esc_html__( 'This is the last post', 'hgwmag' ).'</div></div>';
						}
					?>

				</div><!-- .pagination-single-inner -->


			</nav><!-- .pagination-single -->

			<?php
		}

	}

endif;
