<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @subpackage hgwmag
 */

get_header();
?>
<div id="site-content" class="container ntf">
<div class="innerw">
<main>
  <?php

    if ( is_search() ) :
      ?>
      <h2 class="pagetitle">
        <?php /* Search Count */
        $allsearch = new WP_Query("s=$s&showposts=0");
        echo esc_html( $allsearch ->found_posts ). ' ' .esc_html__( 'results found.', 'hgwmag' ); ?>
      </h2>
      <div class="index-search-box" style="margin-bottom: 30px;">

        <form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ) ?>">

  	      <div>

  	        <input type="text" id="searchtext" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr__( 'Search ...', 'hgwmag' ); ?>" autocomplete="off"/>

  					<button type="submit" id="searchsubmit" value="Search"><i class="fa fa-search"></i></button>

  	      </div>

  	    </form>

      </div>

      <?php
    endif;

    if( ! is_singular() && ! is_front_page() ) :

      do_action( 'hgwmag_default_posts_loop_act' );

    endif;
  ?>
</main>


  <?php get_sidebar( ) ?>

</div>
</div>

<?php
get_footer();
?>
