<?php
/**
 * Template Name: Page without meta info
 *
 * The template for displaying the Singular Pages
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @subpackage hgwmag
 */

get_header();
?>
<div id="site-content" class="container singular-page">
<div class="innerw">
<main>



    <?php
    if (have_posts()) :

      while (have_posts()) : the_post();

        ?>
        <article id="post-<?php the_ID(); ?>"  <?php post_class(); ?>>

            <div class="post-inner">
              <?php if ( has_post_thumbnail() ): ?>
                <div class="post-thumbnail <?php echo esc_attr( get_theme_mod( 'hgwmag-img-style-on-hover', 'zoom-in-rotate' ) ); ?>">
                  <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                  <?php the_post_thumbnail(); ?>
                  </a>
                </div>
              <?php endif; ?>

              <div class="inner-post-content">

                <div class="information">
                  <div class="title">
                    <?php the_title( '<a href="' . esc_url( get_permalink() ) . '" class="entry-title"><h2>', '</h2></a>' ) ?>
                  </div>
                </div>

                <div class="content">
                  <?php the_content( ) ?>
                </div>

              </div>

            </div>

            <?php
              wp_link_pages(
                array(
                  'before'      => '<div class="pagination post-nav-links">',
                  'after'       => '</div>',
                  'link_before' => '',
                  'link_after'  => '',
                )
              );

              if ( has_tag() && get_theme_mod('hgwmag_singular_page_postmeta_location', 'sidebar' ) == 'main' ):

                the_tags( '<div class="tags"><ul><i class="fa fa-tags" aria-hidden="true"></i>'.__( 'Tags:', 'hgwmag' ).'<li>', '</li><li>', '</li></ul></div>' );

              endif;

              if ( get_theme_mod( 'hgwmag-show-singular-next-and-prev-posts', 1 == 1 ) ) {

                hgwmag_next_and_previous_post();

              }



              if ( get_theme_mod( 'hgwmag-disable-comments', 0 ) == 0 ) {
              /**
               *  Output comments wrapper if it's a post, or if comments are open,
               * or if there's a comment number – and check for password.
               * */
              if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) :
                ?>

                <div class="comments-wrapper section-inner">

                  <?php comments_template(); ?>

                </div><!-- .comments-wrapper -->

                <?php
              endif; // Comments

            } // hgwmag-disable-comments


            ?>

        </article>

        <?php get_sidebar('singular-page') ?>

        <?php

      endwhile;

    else :

      hgwmag_default_content();

    endif;
    ?>



</main>


</div>
</div>

<?php
get_footer();
?>
