<?php
/**
 * The template for displaying the Singular Sidebar
 * @subpackage hgwmag
 */
?>
<aside id="sidebar-content" class="sidebar singular">

  <?php
  /*
  #=========================================================================
  #   Post Meta Location
  #   New Section
  #   This Section Show if $postmeta_location is Sidabr
  #=========================================================================
  */
  $postmeta_location = get_theme_mod('hgwmag_singular_page_postmeta_location', 'sidebar' );
  if ( $postmeta_location == 'sidebar' ) { ?>
    <div class="widget post-info">
      <?php
      /*
      #=========================================================================
      #   Sidebar Posts Title
      #=========================================================================
      */
      if (get_theme_mod('hgwmag_singular_post_title_in_sidebar', 1 )) {
        ?><h3 class="widget-title"><?php the_title(); ?></h3><?php
      }

      /*
      #=========================================================================
      #   Posts Meta Layouts
      #   New Section
      #   Post Meta Layouts in sidebar
      #=========================================================================
      */
      $postmeta_layouts = get_theme_mod('hgwmag_singular_page_postmeta_layouts', 'layout3' );

          echo '<div class="widget-inner post-meta-layots '.esc_attr( $postmeta_layouts ).'">';
          /*
          #=========================================================================
          #   Layout 1
          #=========================================================================
          */
          if ( $postmeta_layouts == 'layout1' ){
            ?>
              <div class="author sec">
                <i class="fa fa-user" aria-hidden="true"></i>
                <span>
                  <?php esc_html_e( 'Written by', 'hgwmag' ) ?>:
                  <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>">
                    <?php echo esc_html( get_the_author() ) ?>
                  </a>
                </span>
              </div>

              <div class="publish sec">
                <i class="fa fa-clock-o" aria-hidden="true"></i>
                <span>
                  <?php esc_html_e( 'Published', 'hgwmag' ) ?>:
                  <time datetime="<?php echo esc_attr( get_the_date('c') ); ?>">
                    <?php echo get_the_date('l, Y/m/d - G:i') ?>
                  </time>
                </span>
              </div>
              <?php if (is_single()): ?>

                <div class="category tax sec">
                  <i class="fa fa-folder" aria-hidden="true"></i>
                  <?php esc_html_e( 'Categories', 'hgwmag' ) ?>:
                  <?php the_category() ?>
                </div>

                <?php
                if ( has_tag() ){ ?>
                  <div class="tags tax sec">
                    <i class="fa fa-tags" aria-hidden="true"></i>
                    <?php esc_html_e( 'Tags', 'hgwmag' ) ?>:
                    <?php the_tags( '<ul><li>', '</li><li>', '</li></ul>' ); ?>
                  </div>
                <?php
                } //has_tag()

              endif; // is_single()

          /*
          #=========================================================================
          #   Layout 2
          #=========================================================================
          */
          }elseif ($postmeta_layouts == 'layout2') {

            ?>
              <div class="author-box sec">
                <div class="image">
                  <?php
                  echo get_avatar( get_the_author_meta( 'ID' ) , 60 );
                  ?>
                </div>
                <div class="content">
                  <div class="small-title">
                    <?php esc_html_e( 'Author', 'hgwmag' ) ?>
                  </div>
                  <div class="name"><?php echo esc_html( get_the_author() ); ?></div>
                  <div class="authinfo">
                    <span>
                      <i class="fa fa-files-o" aria-hidden="true"></i>
                      <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                        <?php echo esc_html__( 'Other posts', 'hgwmag' ); ?>
                      </a>
                    </span>
                  </div>
                </div>

              </div>

              <div class="publish sec">
                <i class="fa fa-clock-o" aria-hidden="true"></i>
                <span>
                  <?php esc_html_e( 'Publish in', 'hgwmag' ) ?>:
                  <time datetime="<?php echo esc_attr( get_the_date('c') ); ?>">
                    <?php echo get_the_date('l, Y/m/d - G:i') ?>
                  </time>
                </span>
              </div>
              <?php if (is_single()): ?>

                <div class="category tax sec">
                  <i class="fa fa-folder" aria-hidden="true"></i>
                  <?php esc_html_e( 'Categories', 'hgwmag' ) ?>:
                  <?php the_category() ?>
                </div>

                <?php
                if ( has_tag() ){ ?>
                  <div class="tags tax sec">
                    <i class="fa fa-tags" aria-hidden="true"></i>
                    <?php esc_html_e( 'Tags', 'hgwmag' ) ?>:
                    <?php the_tags( '<ul><li>', '</li><li>', '</li></ul>' ); ?>
                  </div>
                <?php
                } //has_tag()

              endif; // is_single()

          /*
          #=========================================================================
          #   Layout 3
          #=========================================================================
          */
          }else{
            ?>
            <div class="big-title-box">
              <i class="fa fa-user" aria-hidden="true"></i>
              <?php esc_html_e( 'Author', 'hgwmag' ) ?>
            </div>
            <div class="author-box sec">
              <div class="image">
                <?php
                echo get_avatar( get_the_author_meta( 'ID' ) , 60 );
                ?>
              </div>
              <div class="content">
                <div class="name"><?php echo esc_html( get_the_author() ); ?></div>
                <div class="authinfo">
                  <span>
                    <i class="fa fa-files-o" aria-hidden="true"></i>
                    <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                      <?php esc_html_e( 'Other posts', 'hgwmag' ); ?>
                    </a>
                  </span>
                </div>
              </div>

            </div>

            <div class="publish sec">
              <i class="fa fa-clock-o" aria-hidden="true"></i>
              <span>
                <time datetime="<?php echo esc_attr( get_the_date('c') ); ?>">
                  <?php echo get_the_date('l, Y/m/d - G:i') ?>
                </time>
              </span>
            </div>
            <?php if (is_single()): ?>
              <div class="big-title-box">
                <i class="fa fa-folder" aria-hidden="true"></i>
                <?php esc_html_e( 'Categories', 'hgwmag' ) ?>
              </div>
              <div class="category tax sec">
                <?php the_category() ?>
              </div>

              <?php
              if ( has_tag() ){ ?>
                <div class="big-title-box">
                  <i class="fa fa-tags" aria-hidden="true"></i>
                  <?php esc_html_e( 'Tags', 'hgwmag' ) ?>
                </div>
                <div class="tags tax sec">
                  <?php the_tags( '<ul><li>', '</li><li>', '</li></ul>' ); ?>
                </div>
              <?php
              } //has_tag()

            endif; // is_single()

          }
          echo '</div>'; // widget-inner
    ?>
    </div>
<?php

  } // if get_theme_mod

  /*
  #=========================================================================
  #   Singular Sidebar
  #   Not description
  #=========================================================================
  */
  $stickymod = ( get_theme_mod( 'hgwmag-sticky-sidebar', 1 ) == 0 ) ? 'sticky stky-off' : 'sticky';
  echo '<div class="'.$stickymod.'">';
  if ( is_active_sidebar( 'singular-sidebar' ) ) {

        dynamic_sidebar('singular-sidebar');

  }else{

    hgwmag_default_widget_post_loop( 'Recent Posts', 5, true, '' );

    if ( get_theme_mod( 'hgwmag-disable-comments', 0 ) == 0 ) {

      hgwmag_default_widget_post_loop( 'Most Comments', 3, false, 'comment_count' );

      hgwmag_default_widget_post_loop( 'Suggested', 5, false, 'rand' );

    }else{
      hgwmag_default_widget_post_loop( 'Suggested', 5, false, 'rand' );
    }

  }
  echo '</div>';
  ?>


</aside>
