<?php
/**
* Template Part for This Theme
* Args : Image, Default Image, Excerpt
* @subpackage hgwmag
*/
?>
<div id="post-<?php the_ID(); ?>" class="post">
  <div class="post-inner">
    <?php if ( ! empty( $args['image'] ) ): ?>
      <div class="post-thumbnail <?php echo esc_attr( get_theme_mod( 'hgwmag-img-style-on-hover', 'zoom-in-rotate' ) ); ?>">
        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
        <?php
          if ( has_post_thumbnail() ) {
            the_post_thumbnail();
          }
          else {
            if ( ! empty( $args['default_image'] ) ):
              ?>
              <div class="thumbnailbg wp-post-image">
                <img src="<?php echo esc_url( get_template_directory_uri() ).'/assets/img/default-thumbnail-300x300.jpg' ?>" alt="<?php the_title() ?>">
              </div>
              <?php
            endif;
          }
        ?>
        </a>
      </div>
    <?php endif; ?>

    <div class="inner-post-content">

      <div class="information">
        <div class="title">
          <?php the_title( '<a href="' . esc_url( get_permalink() ) . '" class="entry-title">', '</a>' ) ?>
        </div>
        <div class="info">
          <?php
            hgwmag_post_info(
              $args['date_info'],
              $args['comments_info'],
              $args['author_info']
            );
          ?>
        </div>
      </div>

      <?php if ( $args['ex'] > 0 ): ?>

        <div class="excerpt">
          <?php hgwmag_exc( $args['ex'] ); ?>
        </div>

      <?php endif; ?>

    </div>

  </div>



</div><!-- Post Class -->
