<?php
/**
* Template Part for This Theme
* This part used for singular page
* @subpackage hgwmag
*/
?>
<article id="post-<?php the_ID(); ?>"  <?php post_class(); ?>>

    <div class="post-inner">
      <?php if ( has_post_thumbnail() ): ?>
        <div class="post-thumbnail <?php echo esc_attr( get_theme_mod( 'hgwmag-img-style-on-hover', 'zoom-in-rotate' ) ); ?>">
          <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
          <?php the_post_thumbnail(); ?>
          </a>
        </div>
      <?php endif; ?>

      <div class="inner-post-content">

        <div class="information">
          <div class="title">
            <?php the_title( '<a href="' . esc_url( get_permalink() ) . '" class="entry-title"><h2>', '</h2></a>' ) ?>
          </div>
          <?php if ( get_theme_mod('hgwmag_singular_page_postmeta_location', 'sidebar' ) == 'main' ): ?>
          <div class="info">
            <i class="fa fa-user" aria-hidden="true"></i>
            <span>
              <?php echo esc_html_e( 'Written By', 'hgwmag' ) ?>
              <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>">
                <?php echo esc_html( get_the_author() ) ?>
              </a>
            </span>

            <i class="fa fa-clock-o" aria-hidden="true"></i>
            <time datetime="<?php echo esc_attr( get_the_date('c') ); ?>"><?php echo get_the_date('l, Y/m/d - G:i') ?></time>
          </div>
          <div class="category">
            <i class="fa fa-folder" aria-hidden="true"></i>
            <?php echo esc_html_e( 'Categories', 'hgwmag' ) ?>:
            <?php the_category() ?>
          </div>
        <?php endif; ?>
        </div>

        <div class="content">
          <?php the_content( ) ?>
        </div>

      </div>

    </div>

    <?php
      wp_link_pages(
        array(
          'before'      => '<div class="pagination post-nav-links">',
          'after'       => '</div>',
          'link_before' => '',
          'link_after'  => '',
        )
      );

      if ( has_tag() && get_theme_mod('hgwmag_singular_page_postmeta_location', 'sidebar' ) == 'main' ):

        the_tags( '<div class="tags"><ul><i class="fa fa-tags" aria-hidden="true"></i>'.__( 'Tags:', 'hgwmag' ).'<li>', '</li><li>', '</li></ul></div>' );

      endif;

      if ( get_theme_mod( 'hgwmag-show-singular-next-and-prev-posts', 1 == 1 ) ) {

        hgwmag_next_and_previous_post();

      }



      if ( get_theme_mod( 'hgwmag-disable-comments', 0 ) == 0 ) {
      /**
       *  Output comments wrapper if it's a post, or if comments are open,
       * or if there's a comment number – and check for password.
       * */
      if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) :
        ?>

        <div class="comments-wrapper section-inner">

          <?php comments_template(); ?>

        </div><!-- .comments-wrapper -->

        <?php
      endif; // Comments

    } // hgwmag-disable-comments


    ?>

</article>

<?php get_sidebar('singular') ?>
