<?php
/**
* Template Part for This Theme
* This part used main loop, Archive, Blog, Search ....
* @subpackage hgwmag
*/
?>
<div <?php post_class('post'); ?>>
  <div class="post-inner">

    <div class="post-thumbnail <?php echo esc_attr( get_theme_mod( 'hgwmag-img-style-on-hover', 'zoom-in-rotate' ) ); ?>">
      <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
      <?php
        if ( has_post_thumbnail() ) {
          the_post_thumbnail('medium');
        }
        else {
          ?>
          <div class="thumbnailbg wp-post-image">
            <img src="<?php echo esc_url( get_template_directory_uri() ).'/assets/img/default-thumbnail-300x300.jpg' ?>" alt="<?php the_title() ?>">
          </div>
          <?php
        }
      ?>
      </a>
    </div>

    <div class="inner-post-content">

      <div class="information">
        <div class="title">
          <?php the_title( '<a href="' . esc_url( get_permalink() ) . '" class="entry-title">', '</a>' ) ?>
        </div>
        <div class="info">
          <?php
            hgwmag_post_info(
              get_theme_mod( 'hgwmag_fp_main_loop_date', 1 ),
              get_theme_mod( 'hgwmag_fp_main_loop_comments', 1 ),
              get_theme_mod( 'hgwmag_fp_main_loop_author', 1 )
            );
          ?>
        </div>
      </div>
      <div class="excerpt">
        <?php the_excerpt(); ?>
      </div>
    </div>

  </div>



</div><!-- Post Class -->
